GCUBEXMLResource.RESOURCETYPE
Date: 2016-02-09

org.gcube.informationsystem.collector.impl.resources

## Enum GCUBEXMLResource.RESOURCETYPE

- java.lang.Object
- - java.lang.Enum<GCUBEXMLResource.RESOURCETYPE>
  - - org.gcube.informationsystem.collector.impl.resources.GCUBEXMLResource.RESOURCETYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GCUBEXMLResource.RESOURCETYPE>
  Enclosing class:
    GCUBEXMLResource

      public static enum GCUBEXMLResource.RESOURCETYPE
      extends java.lang.Enum<GCUBEXMLResource.RESOURCETYPE>

  the resource type states if the resource contains a profile or generic WS-ResourceProperties

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Profile`
    `Properties`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GCUBEXMLResource.RESOURCETYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GCUBEXMLResource.RESOURCETYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Profile

          public static final GCUBEXMLResource.RESOURCETYPE Profile

    - #### Properties

          public static final GCUBEXMLResource.RESOURCETYPE Properties

  - ### Method Detail

    - #### values

          public static GCUBEXMLResource.RESOURCETYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GCUBEXMLResource.RESOURCETYPE c : GCUBEXMLResource.RESOURCETYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GCUBEXMLResource.RESOURCETYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null